package tk.suklaavene.FastFoodGamePlugin.Communication.Incoming;

import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import lombok.Getter;
import tk.suklaavene.FastFoodGamePlugin.API.Communication.IncomingPacket;
import tk.suklaavene.FastFoodGamePlugin.Utils.StringUtils;

public class PurchasePowerupPackageIncomingPacket implements IncomingPacket
{
	@Getter private int userId;
	@Getter private String packageName;
	
	@Override
	public void handle(ChannelHandlerContext ctx, ByteBuf buffer)
	{
		this.userId = buffer.readIntLE();
		this.packageName = StringUtils.readString(buffer);
	}
}
