package tk.suklaavene.FastFoodGamePlugin.Communication.Incoming;

import com.eu.habbo.messages.incoming.MessageHandler;

import tk.suklaavene.FastFoodGamePlugin.Outgoing.GameButtonStatusComposer;
import tk.suklaavene.FastFoodGamePlugin.Utils.AttributeUtils;

public class QuitGameIncomingPacket extends MessageHandler
{
	@Override
	public void handle() throws Exception
	{
		int gameId = this.packet.readInt();
		
		this.client.sendResponse(new GameButtonStatusComposer(gameId));
		
		this.client.getChannel().attr(AttributeUtils.PLAYING_FASTFOOD).set(null);
	}
}
